Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155478 - unnecessary/ugly output from fence and clvm init script in syslog
Summary: unnecessary/ugly output from fence and clvm init script in syslog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: AJ Lewis
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 18:54 UTC by Corey Marthaler
Modified: 2009-04-16 19:56 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-737
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:55:09 UTC


Attachments (Terms of Use)
Add descriptions to success and failure to improve syslogging (deleted)
2005-05-03 19:14 UTC, AJ Lewis
no flags Details | Diff
patch to improve clvmd initscript logging in syslog (deleted)
2005-05-03 19:16 UTC, AJ Lewis
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:736 normal SHIPPED_LIVE ccs bug fix update 2005-10-07 04:00:00 UTC
Red Hat Product Errata RHBA-2005:737 normal SHIPPED_LIVE fence bug fix update 2005-10-07 04:00:00 UTC
Red Hat Product Errata RHBA-2005:739 normal SHIPPED_LIVE cman bug fix update 2005-10-07 04:00:00 UTC

Description Corey Marthaler 2005-04-20 18:54:44 UTC
Description of problem:

The "[" and blank lines are unnecessary and ugly. :)

Output from initscripts into syslog:
Apr 20 12:30:03 tank-02 fenced: Starting fence domain:
Apr 20 12:30:17 tank-02 fenced:  succeeded
Apr 20 12:30:17 tank-02 fenced: [
Apr 20 12:30:17 tank-02 fenced:
Apr 20 12:30:17 tank-02 rc: Starting fenced:  succeeded
Apr 20 12:30:17 tank-02 clvmd: Starting clvmd:
Apr 20 12:30:19 tank-02 clvmd: Cluster LVM daemon started - connected to CMAN
Apr 20 12:30:19 tank-02 clvmd:  succeeded
Apr 20 12:30:19 tank-02 clvmd: [
Apr 20 12:30:19 tank-02 clvmd:
Apr 20 12:30:19 tank-02 clvmd: Activating lvms:
Apr 20 12:30:19 tank-02 clvmd:  succeeded
Apr 20 12:30:19 tank-02 clvmd: [
Apr 20 12:30:19 tank-02 clvmd:

Comment 1 Kiersten (Kerri) Anderson 2005-05-02 22:36:03 UTC
AJ, 

Can you track this one down?  Adam is onsite at GAP and this won't get any
attention until next week.

Kevin

Comment 2 AJ Lewis 2005-05-03 13:19:46 UTC
I'm on it.

Comment 5 AJ Lewis 2005-05-03 19:14:10 UTC
Created attachment 113979 [details]
Add descriptions to success and failure to improve syslogging

Comment 6 AJ Lewis 2005-05-03 19:16:55 UTC
Created attachment 113980 [details]
patch to improve clvmd initscript logging in syslog

Adjust clvmd initscript to use the red hat initscript functions.  May need a
package adjustment to work properly.

Comment 8 AJ Lewis 2005-05-04 19:22:19 UTC
fenced initscript fix committed to RHEL4 branch

Comment 9 AJ Lewis 2005-05-18 14:58:47 UTC
clvmd initscript fix committed to lvm2

Comment 10 Corey Marthaler 2005-06-13 21:55:28 UTC
fix verified.

Comment 11 Red Hat Bugzilla 2005-10-07 16:44:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-736.html


Comment 12 Red Hat Bugzilla 2005-10-07 16:45:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-739.html


Comment 13 Red Hat Bugzilla 2005-10-07 16:55:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-737.html



Note You need to log in before you can comment on or make changes to this bug.